#include <stm32f10x_gpio.h>

void lcdWrite(uint8_t command, uint8_t rs);
void lcdWriteCommand(uint8_t command);
void lcdWriteData(uint8_t data);
uint8_t lcdRead(uint8_t rs);
uint8_t lcdReadAddress();
uint8_t lcdReadData();
void lcdInit();
void lcdString(char * buf);
void delayMs(uint8_t i);
void Delay(volatile unsigned int delay);
void init_GPIO();

#define LCD_EN GPIO_Pin_2
#define LCD_RW GPIO_Pin_1
#define LCD_RS GPIO_Pin_0

#define LCD_COMMAND_CLEAR 0x01
#define LCD_COMMAND_ENTRY_MODE 0x04
#define LCD_COMMAND_ON 0x08
#define LCD_COMMAND_MOVE 0x10
#define LCD_COMMAND_FUNCTION_SET 0x20
#define LCD_OPTION_8BITS 0x10
#define LCD_OPTION_2LINES 0x08
#define LCD_OPTION_DISPLAY 0x04
#define LCD_OPTION_INCREMENT 0x02

#define LCD_DATA_PORT GPIOA
#define LCD_CONTROL_PORT GPIOB

#define BITS4
